Skip to main content
PUT
Update

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

Unique identifier of the API key to update

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Body

application/json
name
string
required

Human-readable name for the API key

Required string length: 1 - 200
Example:

"My test API key"

role_names
enum<string>[]
required

Account-level roles for the API key. These roles apply across the entire account, not scoped to specific teams. Pass an empty array if no account-level roles are needed.

Available options:
viewer,
incident_creator,
incident_editor,
manage_settings,
global_access,
catalog_viewer,
catalog_editor,
incident_memberships_editor,
schedules_editor,
schedules_reader,
schedule_overrides_editor,
workflows_editor,
private_workflows_editor,
private_escalation_workflows_editor,
on_call_editor,
on_call_viewer,
escalation_creator,
post_incident_flow_opt_out,
security_settings_editor,
investigation_download,
team_memberships_manage,
status_page_publisher,
postmortems_manage,
api_keys_manage,
notification_methods_manage,
notification_methods_unredacted_viewer,
incident_workload_viewer,
incident_workload_private_viewer,
act_on_behalf_of_users
Example:
team_ids
string[]
required

IDs of teams to scope the team_role_names to. If provided, team_role_names must also be a non-empty array, and vice versa. Pass an empty array if the key should not be scoped to any teams.

Example:
team_role_names
enum<string>[]
required

Roles to grant for the teams specified in team_ids. If provided, team_ids must also be a non-empty array, and vice versa. Pass an empty array if no team-level roles are needed.

Available options:
catalog_editor,
schedules_editor,
schedules_reader,
schedule_overrides_editor,
on_call_editor,
escalation_creator,
api_keys_manage,
workflows_editor,
private_workflows_editor
Example:
comments
string

Freeform notes about the API key

Maximum string length: 5000
Pattern: ^[^]*$
Example:

"Requested in https://example.slack.com/archives/C123/p456"

Response

200 - application/json

OK response.

api_key
object
required